Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class BooleanPropertyExecutor

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.AbstractExecutor
            |
            +--org.apache.commons.jexl.util.PropertyExecutor
                  |
                  +--org.apache.commons.jexl.util.BooleanPropertyExecutor

public class BooleanPropertyExecutor
extends PropertyExecutor

Handles discovery and valuation of a boolean object property, of the form public boolean is<Property> when executed. We do this separately as to preserve the current quasi-broken semantics of get <as is property> get<flip 1st char> get("property") and now followed by is<Property>.

Since:
  1.0
Version:
  $Id: BooleanPropertyExecutor.java 398171 2006-04-29 14:57:29Z dion $

Fields inherited from class org.apache.commons.jexl.util.PropertyExecutor
`introspector, methodUsed`

Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor
`method, rlog`

Constructor Summary
`BooleanPropertyExecutor(Log rlog, Introspector is, Class clazz, String property)` Constructor.

Method Summary
`protected void` | `discover(Class clazz, String property)` Locate the getter method for this boolean property.

Methods inherited from class org.apache.commons.jexl.util.PropertyExecutor
`execute`

Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanPropertyExecutor

    public BooleanPropertyExecutor(Log rlog,
                                   Introspector is,
                                   Class clazz,
                                   String property)

  Constructor.
  Parameters:
    `rlog` - The instance log.
    `is` - The JEXL introspector.
    `clazz` - The class being analyzed.
    `property` - The boolean property.

Method Detail

### discover

    protected void discover(Class clazz,
                            String property)

  Locate the getter method for this boolean property.
  Overrides:
    `discover` in class `PropertyExecutor`
  Parameters:
    `clazz` - The class being analyzed.
    `property` - Name of boolean property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.